Subject: Bash and xterm window title
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Ajay Simha <[email-masked]>
Date: Sat, 5 Apr 2003 11:08:02 -0500

Hi,

I had some problem with a recent version of tcsh and so I'm using bash. The only problem I have
with bash is that it re-writes the window title with the current working directory. I use a script
to name(title) my xterms and bash overwrites it. tcsh does not do that.

I set PS1="$ " and now it doesn't do it. The original PS1 is set to:

$ echo $PS1
\[\033]0;\w\007 \033[32m\]\u@\h \[\033[33m\w\033[0m\] $

The desired behavior in my case is just the prompt gets updated with the PWD and not the window
title.

How can I do this?

TIA,

-ajay

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/